<?php
namespace hacklabBlocks;
function educators_callback( $attributes, $content, $block ) {

	$posts_to_show      = isset( $attributes['postsToShow'] ) ? $attributes['postsToShow'] : 10;
	$selected_educators = isset( $attributes['selectedEducators'] ) ? $attributes['selectedEducators'] : '';

	ob_start();

	$educators = [];

	if ( $selected_educators ) {

		foreach( $selected_educators as $educator ) {
			$args = array( 'post_type' => 'educadores', 's' => $educator );
			$get_educator = get_posts( $args );

			if ( count( $get_educator ) ) {
				$educators[] = $get_educator[0];
			}
		}

		// Limit quantity of posts to show
		$educators = array_slice( $educators, 0, $posts_to_show );

	} else {

		$args = array(
			'post_type'      => 'educadores',
			'posts_per_page' => $posts_to_show
		);

		$educators = new \WP_Query( $args );
		$educators = $educators->posts;

	}

    if ( count( $educators ) ) {
        echo "<div class='educators-block-container'>";

			if ( ! empty( $block_title ) ) {
				echo "<div class='container-title'>";
					echo "<h2>" . $block_title . "</h2>";
				echo "</div>";
			}

			$container_class = "container is-carousel";

			if ( defined( 'REST_REQUEST' ) && REST_REQUEST ) {
				if ( count( $educators ) < 3 ) {
					$container_class .= " hide-navigation";
				}
			}

			echo "<div class='" . $container_class . "'>";

				foreach ( $educators as $educator ) : ?>
					<div class="each-educator">
						<div class="each-educator--header">
							<div class="author-image">
								<?php echo get_the_post_thumbnail( $educator->ID ); ?>
							</div>
							<div class="author-name">
								<h5><span class="name"><?php echo esc_attr( $educator->post_title ); ?></span></h5>
							</div>
						</div><!-- .each-educator--header -->

						<div class="each-educator--content">
							<?php echo apply_filters( 'the_content', $educator->post_excerpt ); ?>
						</div><!-- .each-educator--content -->

					</div><!-- .each-educator -->
				<?php endforeach;

        	echo '</div>';
        echo '</div>';
    }

	$output = ob_get_clean();

    return $output ;
}
