<?php

namespace hacklabBlocks;

/**
 * Server-side rendering of the `hacklab-blocks/post-meta` block.
 *
 * @package WordPress
 */

/**
 * Renders the `hacklab-blocks/post-meta` block on the server.
 *
 * @param array    $attributes Block attributes.
 * @param string   $content    Block default content.
 * @param WP_Block $block      Block instance.
 * @return string Returns the filtered post terms for the current post wrapped inside "a" tags.
 */

function post_meta_callback($attributes, $content, $block)
{
	if (!isset($block->context['postId']) || !isset($attributes['selectedMeta'])) {
		return '';
	}
	$metadata = [];
	$classes = '';
	foreach ($attributes['selectedMeta'] as $meta) {
		$classes .= ' meta-key-' . $meta;
		$metadata[]= get_post_meta( $block->context['postId'], $meta, true );
	}
	$html = '';
	if(!empty($metadata[0])){
		$html .= '<div class="hacklab-post-meta-block">';
		$separator = empty($attributes['separator']) ? ' ' : $attributes['separator'];
		$html_array = [];
		foreach ($metadata as $meta) {
			$html_array[]= '<div class="' . $classes . '">' . $meta . '</div>' ;
		}
		
		$html .= implode($separator, $html_array);
		$html .= '</div><!--"hacklab-post-meta-block"-->';
	}
	return $html;
}
