<?php

namespace hacklabBlocks;

/**
 * Server-side rendering of the `hacklab-blocks/tutor-course-topics` block.
 *
 * @package WordPress
 */

/**
 * Renders the `hacklab-blocks/tutor-course-topics` block on the server.
 *
 * @param array    $attributes Block attributes.
 * @param string   $content    Block default content.
 * @param WP_Block $block      Block instance.
 */

function tutor_course_topics_callback( $attributes, $content, $block ) {

    $post_id = isset( $block->context['postId'] ) ? $block->context['postId'] : false;
    $post_type = get_post_type( $post_id );

    ob_start();

    echo '<div class="hacklab-blocks-tutor-course-topics">';

        if ( 'courses' == $post_type ) {
            tutor_load_template( 'single.course.course-topics' );
        } else {
            echo __( 'Esse bloco deve ser utilizado em cursos do plugin Tutor LMS.', 'hacklab-blocks' );
        }

    echo '</div><!-- .hacklab-blocks-tutor-course-topics -->';

    $output = apply_filters( 'hacklab_blocks/tutor-course-topics', ob_get_clean() );

    wp_reset_postdata();

    return $output;
}

/**
 * Enqueue script of the `hacklab-blocks/tutor-course-topics` block.
 */
function tutor_course_topics_enqueue() {
    wp_enqueue_script( 'tutor-course-topics', plugin_dir_url( __FILE__ ) . 'assets/js/script.js', ['tutor-script', 'tutor-frontend'], time(), true );
}
add_action( 'wp_enqueue_scripts', 'hacklabBlocks\\tutor_course_topics_enqueue', 999 );